/*******************************************************************************
* mlu     : logical utility functions                                          *
*                                                                              *
* version : 4.00                                                               *
* date    : 05/08/93                                                           *
*******************************************************************************/
#ifndef MLU
#define MLU

extern void flattenlofig();
extern lofig_list *unflattenlofig();
extern void rflattenlofig();
extern void loadlofig();
extern void savelofig();
extern void mlodebug();
extern losig_list *duplosiglst();
extern losig_list *duplosig();
extern chain_list *dupchainlst();
extern locon_list *duploconlst();
extern locon_list *duplocon();
extern loins_list *duploinslst();
extern loins_list *duploins();
extern lotrs_list *duplotrslst();
extern lotrs_list *duplotrs();
extern lofig_list *duplofiglst();
extern lofig_list *duplofig();
extern lofig_list *rduplofig();
extern void sortlocon();
extern void sortlosig();
extern losig_list *givelosig();
extern int checkloconorder();
extern int restoredirvbe();
extern int guessextdir();
extern int restorealldir();
#endif /* !MLU */
